IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_opcionRespuesta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_opcionRespuesta]
GO
CREATE PROCEDURE [reg_doc_documento_opcionRespuesta]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento_opcionRespuesta] AS [documento_opcionRespuesta],
		[id_documento] AS [id_documento],
		[id_opcionRespuesta] AS [id_opcionRespuesta],
		[id_pregunta] AS [id_pregunta]
	FROM [doc_documento_opcionRespuesta]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_documento_opcionRespuesta]')) DROP VIEW [dbo].[view_doc_documento_opcionRespuesta]
GO
CREATE  VIEW [view_doc_documento_opcionRespuesta] AS
SELECT 	[doc_documento_opcionRespuesta].[id] AS [id],
		[doc_documento_opcionRespuesta].[uid] AS [uid],
		[doc_documento_opcionRespuesta].[eid] AS [eid],
		[doc_documento_opcionRespuesta].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_documento_opcionRespuesta].[id_usuario_creo] AS [id_usuario_creo],
		[doc_documento_opcionRespuesta].[fechaModificacion] AS [fechaModificacion],
		[doc_documento_opcionRespuesta].[fechaCreacion] AS [fechaCreacion],
		[doc_documento_opcionRespuesta].[active] AS [active],
		[doc_documento_opcionRespuesta].[documento_opcionRespuesta] AS [documento_opcionRespuesta],
		[doc_documento_opcionRespuesta].[id_documento] AS [id_documento],
[doc_documento].[documento] as [doc_documento_documento],
[doc_documento].[documento_codigo] as [doc_documento_documento_codigo],
[doc_documento].[documento_numero] as [doc_documento_documento_numero],
[doc_documento].[prefijo] as [doc_documento_prefijo],
[doc_documento].[subtotal] as [doc_documento_subtotal],
[doc_documento].[descuento] as [doc_documento_descuento],
[doc_documento].[iva] as [doc_documento_iva],
[doc_documento].[total] as [doc_documento_total],
[doc_documento].[costo] as [doc_documento_costo],
[doc_documento].[rentabilidad] as [doc_documento_rentabilidad],
[doc_documento].[trm] as [doc_documento_trm],
[doc_documento].[fecha_fh] as [doc_documento_fecha_fh],
[doc_documento].[fechaSugerida_fh] as [doc_documento_fechaSugerida_fh],
[doc_documento].[fechaCierre_ff] as [doc_documento_fechaCierre_ff],
[doc_documento].[fechaLimite_fh] as [doc_documento_fechaLimite_fh],
[doc_documento].[id_subtipoDocumento] as [doc_documento_id_subtipoDocumento],
[doc_documento].[id_tercero_cliente] as [doc_documento_id_tercero_cliente],
[doc_documento].[id_documento] as [doc_documento_id_documento],
[doc_documento].[id_tercero_proveedor] as [doc_documento_id_tercero_proveedor],
[doc_documento].[id_prioridadDocumento] as [doc_documento_id_prioridadDocumento],
[doc_documento].[id_moneda] as [doc_documento_id_moneda],
[doc_documento].[id_estadoTipoDocumento] as [doc_documento_id_estadoTipoDocumento],
[doc_documento].[id_motivoestado] as [doc_documento_id_motivoestado],
[doc_documento].[subtotalPlaneado] as [doc_documento_subtotalPlaneado],
[doc_documento].[descuentoPlaneado] as [doc_documento_descuentoPlaneado],
[doc_documento].[ivaPlaneado] as [doc_documento_ivaPlaneado],
[doc_documento].[totalPlaneado] as [doc_documento_totalPlaneado],
[doc_documento].[costoPlaneado] as [doc_documento_costoPlaneado],
[doc_documento].[id_usuario_asignado] as [doc_documento_id_usuario_asignado],
		[doc_documento_opcionRespuesta].[id_opcionRespuesta] AS [id_opcionRespuesta],
[doc_opcionRespuesta].[opcionRespuesta] as [doc_opcionRespuesta_opcionRespuesta],
[doc_opcionRespuesta].[opcionRespuesta_codigo] as [doc_opcionRespuesta_opcionRespuesta_codigo],
[doc_opcionRespuesta].[orden] as [doc_opcionRespuesta_orden],
[doc_opcionRespuesta].[activa] as [doc_opcionRespuesta_activa],
[doc_opcionRespuesta].[valor] as [doc_opcionRespuesta_valor],
[doc_opcionRespuesta].[id_pregunta] as [doc_opcionRespuesta_id_pregunta],
		[doc_documento_opcionRespuesta].[id_pregunta] AS [id_pregunta],
[doc_pregunta].[pregunta] as [doc_pregunta_pregunta],
[doc_pregunta].[pregunta_codigo] as [doc_pregunta_pregunta_codigo],
[doc_pregunta].[orden] as [doc_pregunta_orden],
[doc_pregunta].[activa] as [doc_pregunta_activa],
[doc_pregunta].[valor] as [doc_pregunta_valor],
[doc_pregunta].[id_evaluacion] as [doc_pregunta_id_evaluacion],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_documento_opcionRespuesta]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento_opcionRespuesta].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento_opcionRespuesta].[id_usuario_creo]
	INNER JOIN [doc_documento] ON [doc_documento].id=[doc_documento_opcionRespuesta].[id_documento]
	INNER JOIN [doc_opcionRespuesta] ON [doc_opcionRespuesta].id=[doc_documento_opcionRespuesta].[id_opcionRespuesta]
	INNER JOIN [doc_pregunta] ON [doc_pregunta].id=[doc_documento_opcionRespuesta].[id_pregunta]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_documento_opcionRespuesta].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXdocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXdocumento]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXdocumento]
	@p_id_documento INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_documento]= @p_id_documento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXopcionRespuesta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXopcionRespuesta]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXopcionRespuesta]
	@p_id_opcionRespuesta INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_opcionRespuesta]= @p_id_opcionRespuesta)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXpregunta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXpregunta]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXpregunta]
	@p_id_pregunta INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_pregunta]= @p_id_pregunta)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestas]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestas]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestas]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_opcionRespuesta]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_opcionRespuestas]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_opcionRespuestas]
GO
CREATE PROCEDURE [lis_doc_documento_opcionRespuestas]
	AS
BEGIN
	SELECT id AS id,
[documento_opcionRespuesta] AS [doc_documento_opcionRespuesta]
	FROM [doc_documento_opcionRespuesta]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_documento_opcionRespuesta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_documento_opcionRespuesta]
GO
CREATE PROCEDURE [upd_doc_documento_opcionRespuesta]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_documento_opcionRespuesta varchar(300) = null,
		@p_id_documento int = null,
		@p_id_opcionRespuesta int = null,
		@p_id_pregunta int = null
AS
BEGIN
		UPDATE [doc_documento_opcionRespuesta]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[documento_opcionRespuesta] = isnull(@p_documento_opcionRespuesta,[documento_opcionRespuesta]),
			[id_documento] = isnull(@p_id_documento,[id_documento]),
			[id_opcionRespuesta] = isnull(@p_id_opcionRespuesta,[id_opcionRespuesta]),
			[id_pregunta] = isnull(@p_id_pregunta,[id_pregunta])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_opcionRespuesta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_documento_opcionRespuesta]
GO
CREATE PROCEDURE [ins_doc_documento_opcionRespuesta]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_opcionRespuesta varchar(300),
		@p_id_documento int,
		@p_id_opcionRespuesta int,
		@p_id_pregunta int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_documento_opcionRespuesta]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento_opcionRespuesta],
			[id_documento],
			[id_opcionRespuesta],
			[id_pregunta])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_opcionRespuesta,
			@p_id_documento,
			@p_id_opcionRespuesta,
			@p_id_pregunta)
		SET @v_id = scope_identity()
UPDATE [doc_documento_opcionRespuesta] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_documento_opcionRespuesta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_documento_opcionRespuesta]
GO
CREATE PROCEDURE [act_doc_documento_opcionRespuesta]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_documento_opcionRespuesta]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_opcionRespuesta_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_opcionRespuesta_m]
GO
CREATE PROCEDURE [reg_doc_documento_opcionRespuesta_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento_opcionRespuesta] AS [documento_opcionRespuesta],
		[id_documento] AS [id_documento],
		[id_opcionRespuesta] AS [id_opcionRespuesta],
		[id_pregunta] AS [id_pregunta]
	FROM [doc_documento_opcionRespuesta]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXdocumento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXdocumento_m]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXdocumento_m]
	@p_id_documento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_documento]= @p_id_documento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXopcionRespuesta_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXopcionRespuesta_m]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXopcionRespuesta_m]
	@p_id_opcionRespuesta INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_opcionRespuesta]= @p_id_opcionRespuesta)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestasXpregunta_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestasXpregunta_m]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestasXpregunta_m]
	@p_id_pregunta INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_opcionRespuesta]
	WHERE ([id_pregunta]= @p_id_pregunta)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_opcionRespuestas_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_opcionRespuestas_m]
GO
CREATE PROCEDURE [sel_doc_documento_opcionRespuestas_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_opcionRespuesta]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_opcionRespuestas_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_opcionRespuestas_m]
GO
CREATE PROCEDURE [lis_doc_documento_opcionRespuestas_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[documento_opcionRespuesta] AS [doc_documento_opcionRespuesta]
	FROM [doc_documento_opcionRespuesta]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_documento_opcionRespuesta]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_documento_opcionRespuesta]
GO
CREATE PROCEDURE [aud_doc_documento_opcionRespuesta]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_documento_opcionRespuesta].id as id_tabla,
	[doc_documento_opcionRespuesta].id_usuario_modifico as id_usuario_modifico,
	[doc_documento_opcionRespuesta].id_usuario_creo as id_usuario_creo,
	[doc_documento_opcionRespuesta].fechaModificacion as fechaModificacion,
	[doc_documento_opcionRespuesta].fechaCreacion as fechaCreacion,
	[doc_documento_opcionRespuesta].active as active,
	[doc_documento_opcionRespuesta].[documento_opcionRespuesta] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_documento_opcionRespuesta]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento_opcionRespuesta].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento_opcionRespuesta].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_documento_opcionRespuesta'
-----------------------------------30/08/2017 14:26:09